"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSupportedSize = exports.EXTRACTED_DIR_SUFFIX = exports.DEFAULT_DECOMPRESSING_DEPTH = exports.DECOMPRESSING_CONCURRENCY_LEVEL = exports.HASHING_CONCURRENCY_LEVEL = exports.MAX_SUPPORTED_FILE_SIZE = exports.isWindowsOS = void 0;
const os = require("os");
const osName = require('os-name');
exports.isWindowsOS = () => osName()
    .toLowerCase()
    .indexOf('windows') === 0;
exports.MAX_SUPPORTED_FILE_SIZE = 2 * 1024 * 1024 * 1024 - 1;
exports.HASHING_CONCURRENCY_LEVEL = os.cpus().length;
exports.DECOMPRESSING_CONCURRENCY_LEVEL = os.cpus().length * 8;
exports.DEFAULT_DECOMPRESSING_DEPTH = 1;
exports.EXTRACTED_DIR_SUFFIX = '.extracted';
exports.isSupportedSize = (size) => 0 < size && size < exports.MAX_SUPPORTED_FILE_SIZE;
//# sourceMappingURL=common.js.map